Help

  • Some banner blocking software might interfere with the Flash program we use for all of our audio and clickable words, so try "unblocking" banner ads if you are having problems.
  • This site requires a minimum of Flash Player 4 to use. This is a relatively early version so should be quite compatible for most viewers. If you have a very old browser you may need to update it.  (see below)
  • This site also uses Javascript in a couple of places, specifically for the practice sets in Lesson 4 and Lesson 15. If you are having problems on these pages please be sure that Javascript is not turned off in your browser. If you are using an extremely early browser there is a possibility you will need to upgrade to a later version.  (see below)
  • If you need to upgrade your browser here are links to some of the more popular ones:
  • If you need to upgrade your version of the Flash Player try this link: